[Pkg-alsa-devel] [Debian ALSA CVS] debian/alsa-utils/debian (3 files)
Jordi Mallach
jordi@haydn.debian.org
Thu, 15 Jul 2004 09:48:21 -0600
Date: Thursday, July 15, 2004 @ 09:48:21
Author: jordi
Path: /cvsroot/pkg-alsa/debian/alsa-utils/debian
Added: patches/20_alsaconf_lspci.dpatch
Modified: changelog patches/00list
Fix alsaconf bug when using new lspci.
----------------------------------+
changelog | 9 +++++++++
patches/00list | 1 +
patches/20_alsaconf_lspci.dpatch | 34 ++++++++++++++++++++++++++++++++++
3 files changed, 44 insertions(+)
Index: debian/alsa-utils/debian/changelog
diff -u debian/alsa-utils/debian/changelog:1.31 debian/alsa-utils/debian/changelog:1.32
--- debian/alsa-utils/debian/changelog:1.31 Sat Jul 10 17:04:49 2004
+++ debian/alsa-utils/debian/changelog Thu Jul 15 09:48:21 2004
@@ -1,3 +1,12 @@
+alsa-utils (1.0.5-3) unstable; urgency=low
+
+ * Jordi Mallach:
+ - debian/patches/20_alsaconf_lspci.dpatch: apply patch from
+ Sergio Gelato to make alsaconf work with the new lspci output
+ (closes: #258303).
+
+ -- Jordi Mallach <jordi@debian.org> Thu, 15 Jul 2004 17:36:37 +0200
+
alsa-utils (1.0.5-2) unstable; urgency=low
* Jordi Mallach:
Index: debian/alsa-utils/debian/patches/00list
diff -u debian/alsa-utils/debian/patches/00list:1.2 debian/alsa-utils/debian/patches/00list:1.3
--- debian/alsa-utils/debian/patches/00list:1.2 Thu Feb 26 16:30:33 2004
+++ debian/alsa-utils/debian/patches/00list Thu Jul 15 09:48:21 2004
@@ -1,2 +1,3 @@
10_move_asound_state_to_var
+20_alsaconf_lspci
90_debian_alsaconf
Index: debian/alsa-utils/debian/patches/20_alsaconf_lspci.dpatch
diff -u /dev/null debian/alsa-utils/debian/patches/20_alsaconf_lspci.dpatch:1.1
--- /dev/null Thu Jul 15 09:48:21 2004
+++ debian/alsa-utils/debian/patches/20_alsaconf_lspci.dpatch Thu Jul 15 09:48:21 2004
@@ -0,0 +1,36 @@
+#! /bin/sh -e
+## 20_alsaconf_lspci.dpatch by Jordi Mallach <jordi@debian.org>
+##
+## DP: Fix alsaconf to make it work with the new lspci output.
+
+if [ $# -lt 1 ]; then
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+ -patch) patch -p1 ${patch_opts} < $0;;
+ -unpatch) patch -R -p1 ${patch_opts} < $0;;
+ *)
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /home/jordi/deb/alsa/alsa-utils/alsaconf/alsaconf.in alsa-utils/alsaconf/alsaconf.in
+--- /home/jordi/deb/alsa/alsa-utils/alsaconf/alsaconf.in 2004-06-09 23:48:42.000000000 +0200
++++ alsa-utils/alsaconf/alsaconf.in 2004-07-15 17:39:50.000000000 +0200
+@@ -501,7 +501,7 @@
+ /^[<literal space><literal tab>]*PCI: /{
+ gsub(/0x/, "");
+ gsub(/=/, ":");
+- x = sprintf ("'$lspci' -n 2>/dev/null| grep '"'Class 0401'"' | grep %s", $2);
++ x = sprintf ("'$lspci' -n 2>/dev/null| grep '"' 0401: '"' | grep %s", $2);
+ if (system (x) == 0)
+ printf "%s %s\n", $2, driver >>"'"$FOUND"'"
+ }